Bug 455894 - Previous custom accent color not remembered after other option is selected
Summary: Previous custom accent color not remembered after other option is selected
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Unclassified
Component: kcm_colors (show other bugs)
Version: 5.25.1
Platform: openSUSE RPMs Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2022-06-24 18:01 UTC by Loren Burkholder
Modified: 2022-06-29 19:26 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.26


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Loren Burkholder 2022-06-24 18:01:49 UTC
SUMMARY
Custom accent colors are not restored once another option has been selected.


STEPS TO REPRODUCE
1. Set a custom accent color and apply it.
2. Select another accent color option (e.g. from wallpaper).
3. Reselect the custom option.

OBSERVED RESULT
The custom color is reset to pink.

EXPECTED RESULT
The custom color should be restored to the last selected value.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma:  5.18.4-1
(available in About System)
KDE Plasma Version: 5.25.1 Wayland
KDE Frameworks Version: 5.95.0
Qt Version: 5.15.2
Comment 1 tantalising 2022-06-27 19:46:55 UTC
Now I think about it, why don't we restore the last used color? If there is no reason to do so, I will soon fix it.
Comment 2 Nate Graham 2022-06-27 19:59:20 UTC
I think it should be fine to remember the last-used custom accent color.
Comment 3 Bug Janitor Service 2022-06-28 11:09:35 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1878
Comment 4 Nate Graham 2022-06-29 19:26:17 UTC
Git commit a8d8e8ed52e3cae586d02b9d67cc3d3bf35a97fb by Nate Graham, on behalf of Tanbir Jishan.
Committed on 29/06/2022 at 19:26.
Pushed by ngraham into branch 'master'.

kcms/colors: Show last-used custom accent color when clicking custom color checkbox

Right now it opens the color picker dialog with the current first accent color.
Remembering the user's prior custom accent color (if any) is nicer.
FIXED-IN: 5.26

M  +13   -0    kcms/colors/colors.cpp
M  +5    -0    kcms/colors/colors.h
M  +4    -0    kcms/colors/colorssettings.kcfg
M  +4    -2    kcms/colors/package/contents/ui/main.qml

https://invent.kde.org/plasma/plasma-workspace/commit/a8d8e8ed52e3cae586d02b9d67cc3d3bf35a97fb